@import '../../../assets/styles/common';

.update-user-info {
  &__avatar, &__inputs {
    flex-grow: 1;
  }

  &__account-type {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    font-size: 2.3rem;

    &__label {
      display: block;
      width: 100%;
      font-style: Italic;
      font-size: 2rem;
    }
  }

  &__avatar {
    text-align: center;

    &-label {
      font-style: Italic;
      font-size: 2.3rem;
      text-align: center;
      opacity: 1;
      letter-spacing: 0;
    }
  }

  &__card {
    width: 50%;
    max-width: 96rem;
    min-height: 30rem;
    margin: 6.7rem .5rem 0;
    padding: 7.6rem;
    border: 2px solid $white;
    border-radius: 2.5rem;
    background-image: $profile-gradient;
  }

  &__content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 5rem 0 0;
  }

  &__email {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    font-size: 2.3rem;

    &-label {
      display: block;
      padding-bottom: .6rem;
      font-style: Italic;
      font-size: 2rem;
    }

    &-input {
      width: 91%;
    }
  }

  &__header {
    display: flex;
    font-style: Italic;
    font-size: 3rem;
    text-align: left;
  }

  &__inputs {
    min-width: 30rem;
    max-width: calc(100% - 30rem);
    padding-bottom: 2rem;
  }

  @media only screen and (max-width: 1400px) {
    &__avatar {
      max-width: 25rem;
    }

    &__content {
      padding: 3rem 0 0;
    }

    &__inputs img.update-profile__save-btn {
      width: 17rem;
      height: 5rem;
    }

    &__email {
      &-label {
        font-size: 1.5rem;
      }
    }
  }
}

.profile-picture__prop {
  border-radius: 0;
  cursor: pointer;
}

.profile-frame__prop {
  width: 0;
  height: 0;
}
